# Adafruit projects
## Arduino Sketches
### [ItsyBitsy 32u4 5V](https://www.adafruit.com/product/3677) & [Adafruit Audio FX Mini Sound Board](https://www.adafruit.com/product/2342) & [Trellis](https://www.adafruit.com/product/1616)
First incarnation of a soundboard inspired by Adafruit's [Portable Trellis Sound Board](https://learn.adafruit.com/portable-trellis-sound-board/overview). The originally suggested microcontroller in the project was the [Pro Trinket 5V](https://www.adafruit.com/product/2000), but since Adafruit itself advised against using that board, I replaced it with an [ItsyBitsy 32u4 5V](https://www.adafruit.com/product/3677).  
The code for that version can be found [here](https://code.spamasaurus.com/djpbessems/Arduino.Sketches/src/branch/master/Itsybitsy-32u4-5V_Trellis_Audio-FX-Soundboard.ino).  
Sadly, this version died soon after it came to fruition, a post mortem dissection revealed some of the wires broke due to friction near the soldering points.

### [Feather M4 Express](https://www.adafruit.com/product/3857) & [Featherwing Music Maker w/ Amp](https://www.adafruit.com/product/3436) & [NeoTrellis](https://www.adafruit.com/product/3954)
Second incarnation of the portable sound board.
In my search for replacement parts, I got enamoured with the elegance that is Adafruit's [Feather M4 Express](https://www.adafruit.com/product/3857) along with the huge range of [FeatherWings](https://www.adafruit.com/category/871) that can be stacked on top.
Since the original Trellis can only use single colour LED's (*though I **did** mix different coloured leds*), and Adafruit enticed me with 24-bit colour LED's, I was eager to upgrade to the [NeoTrellis](https://www.adafruit.com/product/3954). As an added benefit to these upgrades, the [LiIon/LiPoly Backpack](https://www.adafruit.com/product/2124) became superfluous...  
The code for this most recent version can be found [here](https://code.spamasaurus.com/djpbessems/Arduino.Sketches/src/branch/master/Feather-M4-Express_NeoTrellis_Music-Maker-FeatherWing-w-Amp.ino).

## CircuitPython
### [NeoTrellis M4 Express](https://www.adafruit.com/product/4020)
This gadget requires no soldering and is less of an actual challenge to get working, but still offers lots of potential.  
For now my son is enjoying it thoroughly as an [8-step beat sequencer](https://learn.adafruit.com/trellis-m4-beat-sequencer/eight-step-simple-sequencer) along with a Fresh ‘n Rebel [Rockbox Brick](https://www.freshnrebel.com/products/rockbox/rockbox-brick/).